CREATE TABLE iby_ar_doc_header_gt (
    CALLING_APP_DOC_REF_NUMBER      VARCHAR2(120) ,
    DOCUMENT_DATE                   DATE          ,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    DOCUMENT_TYPE                   VARCHAR2(120) ,
    DOCUMENT_DESCRIPTION            VARCHAR2(960) ,
    DOCUMENT_AMOUNT                 NUMBER        ,
    DOCUMENT_CURRENCY_CODE          VARCHAR2(60)  ,
    SETTLEMENT_AMOUNT               NUMBER        ,
    FREIGHT_AMOUNT                  NUMBER        ,
    DISCOUNT_AMOUNT                 NUMBER        ,
    LOCAL_TAX_AMOUNT                NUMBER        ,
    NATIONAL_TAX_AMOUNT             NUMBER        ,
    VAT_TAX_AMOUNT                  NUMBER        ,
    ADDRESS1                        VARCHAR2(960) ,
    ADDRESS2                        VARCHAR2(960) ,
    ADDRESS3                        VARCHAR2(960) ,
    CITY                            VARCHAR2(240) ,
    COUNTY                          VARCHAR2(240) ,
    STATE                           VARCHAR2(240) ,
    COUNTRY                         VARCHAR2(240) ,
    POSTAL_CODE                     VARCHAR2(240) ,
    TO_ADDRESS1                     VARCHAR2(960) ,
    TO_ADDRESS2                     VARCHAR2(960) ,
    TO_ADDRESS3                     VARCHAR2(960) ,
    TO_CITY                         VARCHAR2(240) ,
    TO_COUNTY                       VARCHAR2(240) ,
    TO_STATE                        VARCHAR2(240) ,
    TO_COUNTRY                      VARCHAR2(240) ,
    TO_POSTAL_CODE                  VARCHAR2(240) ,
    DOC_UNIQUE_REF                  NUMBER(18, 0) ,
    CUST_PARTY_ID                   NUMBER(18, 0) ,
    CUST_PARTY_NUMBER               VARCHAR2(120) ,
    CUST_PARTY_NAME                 VARCHAR2(1440),
    CUST_PARTY_TYPE                 VARCHAR2(120) ,
    CUST_PARTY_TYPE_MEANING         VARCHAR2(320) ,
    CUST_PARTY_ALT_NAME             VARCHAR2(1440),
    CUST_PARTY_ALT_FIRST_NAME       VARCHAR2(600) ,
    CUST_PARTY_ALT_LAST_NAME        VARCHAR2(600) ,
    CUST_ACCOUNT_NUMBER             VARCHAR2(120) ,
    BILL_TO_ADDRESS_ID              NUMBER(18, 0) ,
    BILL_TO_ADDRESS1                VARCHAR2(960) ,
    BILL_TO_ADDRESS2                VARCHAR2(960) ,
    BILL_TO_ADDRESS3                VARCHAR2(960) ,
    BILL_TO_CITY                    VARCHAR2(240) ,
    BILL_TO_COUNTY                  VARCHAR2(240) ,
    BILL_TO_STATE                   VARCHAR2(240) ,
    BILL_TO_COUNTRY                 VARCHAR2(240) ,
    BILL_TO_TERRITORY_SHORT_NAME    VARCHAR2(320) ,
    BILL_TO_ISO_TERRITORY_CODE      VARCHAR2(12)  ,
    BILL_TO_POSTAL_CODE             VARCHAR2(240) ,
    LEGAL_ENTITY_ID                 NUMBER(18, 0) ,
    LEGAL_REGISTRATION_NUMBER       VARCHAR2(120) ,
    TAX_REGISTRATION_NUMBER         VARCHAR2(800) ,
    ORDER_TANGIBLE_ID               VARCHAR2(320) ,
    INITIATOR_EXTENSION_ID          NUMBER(18, 0) ,
    INV_LEGAL_ENTITY_ID             NUMBER(18, 0) ,
    INV_TAX_REGISTRATION_NUMBER     VARCHAR2(800) ,
    CALLING_APP_DOC_REF_NUMBER      VARCHAR2(120) ,
    DOCUMENT_DATE                   DATE          ,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    DOCUMENT_TYPE                   VARCHAR2(120) ,
    DOCUMENT_DESCRIPTION            VARCHAR2(960) ,
    DOCUMENT_AMOUNT                 NUMBER        ,
    DOCUMENT_CURRENCY_CODE          VARCHAR2(60)  ,
    SETTLEMENT_AMOUNT               NUMBER        ,
    FREIGHT_AMOUNT                  NUMBER        ,
    DISCOUNT_AMOUNT                 NUMBER        ,
    LOCAL_TAX_AMOUNT                NUMBER        ,
    NATIONAL_TAX_AMOUNT             NUMBER        ,
    VAT_TAX_AMOUNT                  NUMBER        ,
    ADDRESS1                        VARCHAR2(960) ,
    ADDRESS2                        VARCHAR2(960) ,
    ADDRESS3                        VARCHAR2(960) ,
    CITY                            VARCHAR2(240) ,
    COUNTY                          VARCHAR2(240) ,
    STATE                           VARCHAR2(240) ,
    COUNTRY                         VARCHAR2(240) ,
    POSTAL_CODE                     VARCHAR2(240) ,
    TO_ADDRESS1                     VARCHAR2(960) ,
    TO_ADDRESS2                     VARCHAR2(960) ,
    TO_ADDRESS3                     VARCHAR2(960) ,
    TO_CITY                         VARCHAR2(240) ,
    TO_COUNTY                       VARCHAR2(240) ,
    TO_STATE                        VARCHAR2(240) ,
    TO_COUNTRY                      VARCHAR2(240) ,
    TO_POSTAL_CODE                  VARCHAR2(240) ,
    DOC_UNIQUE_REF                  NUMBER(18, 0) ,
    CUST_PARTY_ID                   NUMBER(18, 0) ,
    CUST_PARTY_NUMBER               VARCHAR2(120) ,
    CUST_PARTY_NAME                 VARCHAR2(1440),
    CUST_PARTY_TYPE                 VARCHAR2(120) ,
    CUST_PARTY_TYPE_MEANING         VARCHAR2(320) ,
    CUST_PARTY_ALT_NAME             VARCHAR2(1440),
    CUST_PARTY_ALT_FIRST_NAME       VARCHAR2(600) ,
    CUST_PARTY_ALT_LAST_NAME        VARCHAR2(600) ,
    CUST_ACCOUNT_NUMBER             VARCHAR2(120) ,
    BILL_TO_ADDRESS_ID              NUMBER(18, 0) ,
    BILL_TO_ADDRESS1                VARCHAR2(960) ,
    BILL_TO_ADDRESS2                VARCHAR2(960) ,
    BILL_TO_ADDRESS3                VARCHAR2(960) ,
    BILL_TO_CITY                    VARCHAR2(240) ,
    BILL_TO_COUNTY                  VARCHAR2(240) ,
    BILL_TO_STATE                   VARCHAR2(240) ,
    BILL_TO_COUNTRY                 VARCHAR2(240) ,
    BILL_TO_TERRITORY_SHORT_NAME    VARCHAR2(320) ,
    BILL_TO_ISO_TERRITORY_CODE      VARCHAR2(12)  ,
    BILL_TO_POSTAL_CODE             VARCHAR2(240) ,
    LEGAL_ENTITY_ID                 NUMBER(18, 0) ,
    LEGAL_REGISTRATION_NUMBER       VARCHAR2(120) ,
    TAX_REGISTRATION_NUMBER         VARCHAR2(800) ,
    ORDER_TANGIBLE_ID               VARCHAR2(320) ,
    INITIATOR_EXTENSION_ID          NUMBER(18, 0) ,
    INV_LEGAL_ENTITY_ID             NUMBER(18, 0) ,
    INV_TAX_REGISTRATION_NUMBER     VARCHAR2(800) 
);
